Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226347 - Merge Review: python-urlgrabber
Summary: Merge Review: python-urlgrabber
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:46 UTC by Nobody's working on this, feel free to take it
Modified: 2013-01-10 09:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-27 15:28:43 UTC
jbowes: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:46:54 UTC
Fedora Merge Review: python-urlgrabber

http://cvs.fedora.redhat.com/viewcvs/devel/python-urlgrabber/
Initial Owner: katzj@redhat.com

Comment 1 James Bowes 2007-08-25 21:36:15 UTC
I'll review this.

Comment 2 James Bowes 2007-08-25 22:07:36 UTC
Notes:

X package meets packaging guidelines:
  %install should being by removing the buildroot
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
X license field matches the actual license.
* license is open source-compatible.
* License text included in package.
* source files match upstream 
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock.

X rpmlint has 3 warnings:
  W: python-urlgrabber invalid-license LGPL
  W: python-urlgrabber redundant-prefix-tag
  W: python-urlgrabber setup-not-quiet

* final provides and requires are sane:
  urlgrabber = 3.0.0-1.fc7
  python-urlgrabber = 3.0.0-1.fc7
  ======
  /usr/bin/python  
  python(abi) = 2.5

* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present
* scriptlets OK
* code, not content.
* upstream includes no docs.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.

The license must be updated and %install must be fixed as well. The other two
rpmlint warnings should be fixed as well. Source0 should also be a url. I'll
approve the package when these are fixed.

Three nice to haves:
 * use one of the three standard buildroot definitions
 * use the 4 arg form of defattr
 * use the single '%{python_sitelib}/urlgrabber' in files rather than  the two     
   %dir and /* lines

Comment 3 Jeremy Katz 2007-08-27 15:24:22 UTC
All fixed for -2.

Comment 4 James Bowes 2007-08-27 15:28:43 UTC
(In reply to comment #3)
> All fixed for -2.

Great. Approved.


Note You need to log in before you can comment on or make changes to this bug.